Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233700 (CVE-2007-1614) - CVE-2007-1614: zzliplib stack-based buffer overflow
Summary: CVE-2007-1614: zzliplib stack-based buffer overflow
Keywords:
Status: CLOSED NEXTRELEASE
Alias: CVE-2007-1614
Product: Fedora
Classification: Fedora
Component: zziplib
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 20:58 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 21:26:50 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-03-23 20:58:57 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1614

"Stack-based buffer overflow in the zzip_open_shared_io function in zzip/file.c
in ZZIPlib Library before 0.13.49 allows user-assisted remote attackers to cause
a denial of service (application crash) or execute arbitrary code via a long
filename."

Comment 1 Matthias Saou 2007-04-11 21:26:50 UTC
Packages of 0.13.49 have been pushed to all current branches on March 26. Sorry
for forgetting to update and close this bug report.


Note You need to log in before you can comment on or make changes to this bug.